GET /works
Operation ID: listWorks
Auth: unknown
Description
Search and filter through scholarly works (papers, articles, books, datasets, etc.) with support for full-text search, filtering, sorting, and aggregation.
Parameters (9)
(string, query, optional)
Cursor token for deep pagination (start with 'cursor=*')
(string, query, optional)
Filter constraints using field:value syntax. Multiple filters can be combined with commas (AND). Supports OR with pipe (|) and NOT with !. Examples: publication_year:2024, authorships.author.id:A5023888391, is_oa:true
(string, query, optional)
Group results by a field (e.g., publication_year)
(integer, query, optional, default: 1)
Page number for pagination (capped at 10,000 results total; use cursor for deeper pagination)
Constraints: {'minimum': 1}
(integer, query, optional, default: 25)
Number of results per page (default: 25, max: 100)
Constraints: {'minimum': 1, 'maximum': 100}
(integer, query, optional)
Return a random sample of N results (max: 10000)
Constraints: {'minimum': 1, 'maximum': 10000}
(string, query, optional)
Full-text search query
(string, query, optional)
Return only specified fields (comma-separated)
(string, query, optional)
Sort order using field:direction syntax. Direction can be 'asc' or 'desc'. Example: cited_by_count:desc
Examples (13)
| Title | Type | URL | Action |
|---|---|---|---|
| Search works | openapi-spec |
https://api.openalex.org/works?search=machine learning |
|
| Filter works by author ID | doc_extracted |
https://api.openalex.org/works?filter=authorships.author.id:A5012345678 |
|
| Filter works by institution ID | doc_extracted |
https://api.openalex.org/works?filter=authorships.institutions.id:I136199984 |
|
| Filter works by source ID | doc_extracted |
https://api.openalex.org/works?filter=primary_location.source.id:S137773608 |
|
| Filter works by topic ID | doc_extracted |
https://api.openalex.org/works?filter=topics.id:T12345 |
|
| Get works by author ID A5023888391 | doc_extracted |
https://api.openalex.org/works?filter=authorships.author.id:A5023888391 |
|
| Get works by institution ID I97018004 | doc_extracted |
https://api.openalex.org/works?filter=authorships.institutions.id:I97018004 |
|
| Get works by topic ID T10234 | doc_extracted |
https://api.openalex.org/works?filter=topics.id:T10234 |
|
| Filter works by ROR ID | doc_extracted |
https://api.openalex.org/works?filter=authorships.institutions.id:https://ror.org/042nb2s44 |
|
| Complex filter with multiple criteria | doc_extracted |
https://api.openalex.org/works?filter=authorships.institutions.id:I63966007,topics.id:T154945302,publication_year:>2022&sort=cited_by_count:desc |
|
| Filter works by author with search and sort | doc_extracted |
https://api.openalex.org/works?filter=author.id:A2420755856,is_paratext:false,type:journal-article&search=complex&sort=cited_by_count:desc |
|
| List works | openapi-spec |
https://api.openalex.org/works?filter=publication_year:2020-2024,type:article |
|
| List works | probe-gate |
https://api.openalex.org/works?filter=publication_year%3A2020-2024%2Ctype%3Aarticle&sort=cited_by_count%3Adesc&per_page=25 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 11:13:22.999383 | 200 | 549ms | |
| 2026-03-23 11:06:13.798785 | 200 | 714ms | |
| 2026-03-23 10:43:20.161274 | 200 | 1008ms | |
| 2026-03-23 10:21:23.281431 | 200 | 1237ms | |
| 2026-03-23 10:20:19.820456 | 200 | 902ms | 1.0MB |
| 2026-03-23 10:17:15.686133 | 200 | 447ms | |
| 2026-03-23 10:15:08.537050 | 200 | 3621ms | 0.6MB |
| 2026-03-23 10:12:45.210068 | 200 | 4478ms | 1.7MB |
| 2026-03-23 09:35:19.847924 | 200 | 4884ms | |
| 2026-03-23 09:17:19.835971 | 200 | 2383ms | 1.8MB |
| 2026-03-23 09:11:38.859381 | 200 | 331ms | |
| 2026-03-23 09:05:10.921951 | 200 | 574ms | 1.0MB |
| 2026-03-22 21:12:21.537101 | 200 | 683ms | 0.6MB |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:05:10.921951 | 79bbd7490f50 |
390e740936ad |
| 2026-03-23 09:11:38.859381 | 390e740936ad |
3c403aab2bfd |
| 2026-03-23 09:17:19.835971 | 3c403aab2bfd |
c1e1b92ed0e2 |
| 2026-03-23 09:35:19.847924 | c1e1b92ed0e2 |
02839b4e355f |
| 2026-03-23 10:12:45.210068 | 02839b4e355f |
5c9b39df52eb |
| 2026-03-23 10:15:08.537050 | 5c9b39df52eb |
465564633005 |
| 2026-03-23 10:17:15.686133 | 465564633005 |
1c2063365164 |
| 2026-03-23 10:20:19.820456 | 1c2063365164 |
8c05a6b867cc |
| 2026-03-23 10:21:23.281431 | 8c05a6b867cc |
b66fb2937bd3 |
| 2026-03-23 10:43:20.161274 | b66fb2937bd3 |
22623d4b0086 |
| 2026-03-23 11:06:13.798785 | 22623d4b0086 |
af8b622dcc71 |
| 2026-03-23 11:13:22.999383 | af8b622dcc71 |
1b110681ec17 |